//
//  WaitTimer.java
//  CBSim
//
//  Created by Loren Petrich on 5/30/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

import java.awt.*;

class WaitTimer
{
	// The wait time in seconds; visible so it can be set with a dialog box
	int WaitTime = 3;
	
	boolean UseSounds = true;
	boolean UseCtdwnSounds = true;
	
	void Wait()
	{
		for (int t=0; t<WaitTime; t++)
		{
			if (UseCtdwnSounds) Beep();
			try
			{
				Thread.sleep(1000); // in milliseconds
			}
			catch (Exception ex)
			{
			}
		}
		Beep();
	}
	
	void Beep()
	{
		if (UseSounds) Toolkit.getDefaultToolkit().beep();
	}
}
